public static interface SpringLdapEndpointBuilderFactory.SpringLdapBuilders
| Modifier and Type | Method and Description |
|---|---|
default SpringLdapEndpointBuilderFactory.SpringLdapEndpointBuilder |
springLdap(String path)
Spring LDAP (camel-spring-ldap)
Perform searches in LDAP servers using filters as the message
payload.
|
default SpringLdapEndpointBuilderFactory.SpringLdapEndpointBuilder |
springLdap(String componentName,
String path)
Spring LDAP (camel-spring-ldap)
Perform searches in LDAP servers using filters as the message
payload.
|
default SpringLdapEndpointBuilderFactory.SpringLdapEndpointBuilder springLdap(String path)
spring-ldap:templateName
Path parameter: templateName (required)
Name of the Spring LDAP Template beanpath - templateNamedefault SpringLdapEndpointBuilderFactory.SpringLdapEndpointBuilder springLdap(String componentName, String path)
spring-ldap:templateName
Path parameter: templateName (required)
Name of the Spring LDAP Template beancomponentName - to use a custom component name for the endpoint
instead of the default namepath - templateNameApache Camel